> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/product-lists.md).

# Product Lists

Product Lists addon

## POST /product-lists/{id}/items

> Add products to a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/{id}/items":{"post":{"tags":["StoreApi-B2bProductLists"],"description":"Add products to a product list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"articleNumber":{"type":"string"},"productId":{"type":"string"},"comment":{"type":"string"},"position":{"type":"integer"},"quantity":{"type":"number"},"customFields":{"type":"object"}}}}}}}}},"parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## PUT /product-lists/{id}/items

> Update products in a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/{id}/items":{"put":{"tags":["StoreApi-B2bProductLists"],"description":"Update products in a product list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"articleNumber":{"type":"string"},"productId":{"type":"string"},"comment":{"type":"string"},"position":{"type":"integer"},"quantity":{"type":"number"},"customFields":{"type":"object"}}}}}}}}},"parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## DELETE /product-lists/{id}/items

> Delete some products from a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/{id}/items":{"delete":{"tags":["StoreApi-B2bProductLists"],"description":"Delete some products from a product list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"}}}}}}}}},"parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## PATCH /product-lists/{id}/items

> Update products in a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/{id}/items":{"patch":{"tags":["StoreApi-B2bProductLists"],"description":"Update products in a product list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"articleNumber":{"type":"string"},"productId":{"type":"string"},"comment":{"type":"string"},"position":{"type":"integer"},"quantity":{"type":"number"},"customFields":{"type":"object"}}}}}}}}},"parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## DELETE /product-lists/{id}/product/{productId}

> Delete a product from a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/{id}/product/{productId}":{"delete":{"tags":["StoreApi-B2bProductLists"],"description":"Delete a product from a product list","parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}},{"in":"path","name":"productId","description":"ID of product in list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## GET /product-lists/create

> create new product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/create":{"get":{"tags":["StoreApi-B2bProductLists"],"description":"create new product list","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersProductList"}}}},"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## POST /product-lists/create

> create new product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/create":{"post":{"tags":["StoreApi-B2bProductLists"],"description":"create new product list","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersProductList"}}}},"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## GET /product-lists/{id}

> Get a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"responses":{"ProductListRouteDetailResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"ProductListRouteDetailResponse":{"description":"Returns the product list","content":{"application/json":{"schema":{"type":"object","properties":{"object":{"type":"object"},"entity":{"$ref":"#/components/schemas/B2bsellersProductList"}}}}}}}}}},"schemas":{}},"paths":{"/product-lists/{id}":{"get":{"tags":["StoreApi-B2bProductLists"],"description":"Get a product list","parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/ProductListRouteDetailResponse"}}}}}}
```

## DELETE /product-lists/{id}

> Delete a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{}},"paths":{"/product-lists/{id}":{"delete":{"tags":["StoreApi-B2bProductLists"],"description":"Delete a product list","parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}}}
```

## PATCH /product-lists/{id}

> Update a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{},"responses":{}},"paths":{"/product-lists/{id}":{"patch":{"tags":["StoreApi-B2bProductLists"],"description":"Update a product list","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersProductList"}}}},"parameters":[{"in":"path","name":"id","description":"ID of product list","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/ProductListResponse"}}}}}}
```

## POST /product-list/list

> List product lists

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{},"responses":{"ProductListListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"ProductListListResponse":{"description":"Returns a list of product lists","content":{"application/json":{"schema":{"type":"object","properties":{"object":{"type":"array","items":{"$ref":"#/components/schemas/B2bsellersProductList"}}}}}}}}}}}},"paths":{"/product-list/list":{"post":{"tags":["StoreApi-B2bProductLists"],"summary":"List product lists","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/ProductListListResponse"}}}}}}
```

## POST /product-lists

> List product lists

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{},"responses":{"ProductListListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"ProductListListResponse":{"description":"Returns a list of product lists","content":{"application/json":{"schema":{"type":"object","properties":{"object":{"type":"array","items":{"$ref":"#/components/schemas/B2bsellersProductList"}}}}}}}}}}}},"paths":{"/product-lists":{"post":{"tags":["StoreApi-B2bProductLists"],"summary":"List product lists","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/ProductListListResponse"}}}}}}
```

## POST /product-list/{id}/items

> List items of a product list

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{},"responses":{"ProductListItemListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"ProductListItemListResponse":{"description":"Returns a list of items from a product list","content":{"application/json":{"schema":{"type":"object","properties":{"object":{"type":"array","items":{"$ref":"#/components/schemas/B2bsellersProductListItem"}}}}}}}}}}}},"paths":{"/product-list/{id}/items":{"post":{"tags":["StoreApi-B2bProductLists"],"summary":"List items of a product list","requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/ProductListItemListResponse"}}}}}}
```

## GET /product-list-item/{id}

> Get a product list item

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bProductLists","description":"Product Lists addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"responses":{"ProductListItemDetailRouteResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"ProductListItemDetailRouteResponse":{"description":"Returns the product list item","content":{"application/json":{"schema":{"type":"object","properties":{"object":{"type":"array","items":{"$ref":"#/components/schemas/B2bsellersProductListItem"}}}}}}}}}}},"schemas":{}},"paths":{"/product-list-item/{id}":{"get":{"tags":["StoreApi-B2bProductLists"],"description":"Get a product list item","parameters":[{"in":"path","name":"id","description":"ID of product list item","required":true,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/ProductListItemDetailRouteResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/product-lists.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
